This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 173080 - Review Request: fdupes
Review Request: fdupes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://www.thoughtpolice.co.uk/packag...
:
: 172870 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-13 15:43 EST by Simon B
Modified: 2014-03-18 08:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 12:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon B 2005-11-13 15:43:07 EST
Spec Name or Url: http://www.thoughtpolice.co.uk/packages/fedora/fc4/fdupes/fdupes.spec
SRPM Name or Url: http://www.thoughtpolice.co.uk/packages/fedora/fc4/fdupes/fdupes-1.40-1.src.rpm
Description: fdupes is a program for identifying or deleting duplicate files.
Such files are found by comparing file sizes and MD5 signatures, followed by a
byte-by-byte comparison.


Possible problems:

* The Makefile uses /usr/local paths. The package includes a patch to fix that, but perhaps there is a better, recommended way of doing this.

* Upstream includes the license in README, I have asked if this can be separated into a separate file for a later release.
Comment 1 José Matos 2005-11-13 16:57:27 EST
Notice that fdupes was already submitted to Extras and is waiting 
for review. (What an irony to have a duplicate submission for 
a package whose purpose is to avoid duplicated files). ;-) 
 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172870 
Comment 2 Simon B 2005-11-13 17:06:42 EST
Damn. That's annoying, I use fdupes a lot, and was hoping to be the maintainer.
I asked the author if he was okay with me packaging for extras, and he was. Then
I checked the list of packages, and fdupes wasn't on it. I guess my timing was bad.

I'll withdraw my submission if you want to be the maintainer.
Comment 3 José Matos 2005-11-13 17:16:00 EST
I did not say that I was the maintainer, I was simply checking my email  
while in the interval of "The Lord of the Rings: The Two Towers", (oops  
another duplication ;-) ).  
  
You should contact Bastien Nocera who submitted the other package. 
That was why I did not closed this bug as duplicated. 
 
And now back to the rest of the movie. ;-) 
Comment 4 Bastien Nocera 2005-11-14 03:59:26 EST
Damn Channel 4 adverts ;)
Simon, if you're interested in maintaining fdupes, feel free. But please make
sure that you take into account the patch from Adrian in the other bug.
Comment 5 Simon B 2005-11-14 09:42:51 EST
Great, thanks.

I've uploaded the new spec file and srpm. Same URLs as before.

I noticed that Adrian uses Applications/Files as a Group, which rpmlint doesn't
like. I've assumed rpmlint was wrong, and changed from Applications/System.
Comment 6 Paul Howarth 2005-11-14 11:58:53 EST
(In reply to comment #5)
> I noticed that Adrian uses Applications/Files as a Group, which rpmlint doesn't
> like. I've assumed rpmlint was wrong, and changed from Applications/System.

The group should be selected from one of the ones listed in the file
/usr/share/doc/rpm-*/GROUPS

Applications/File would seem to be the best candidate (same as for findutils).

Comment 7 Simon B 2005-11-14 12:27:43 EST
(In reply to comment #6)
> The group should be selected from one of the ones listed in the file
> /usr/share/doc/rpm-*/GROUPS
> 
> Applications/File would seem to be the best candidate (same as for findutils).
> 

Thanks for that. Very useful.
I've put a request in for rpmlint to recognise more groups (bug 173149).
Comment 8 Simon B 2005-11-14 17:06:06 EST
This is my first package for Extras, and I am seeking a sponsor.
Comment 9 Adrian Reber 2005-11-15 01:54:48 EST
(In reply to comment #5)
> I noticed that Adrian uses Applications/Files as a Group, which rpmlint doesn't
> like.

That was a typo and should have been Applications/File. So rpmlint was right.

So who is submitting this package now? Bastien or Simon?
Comment 10 Simon B 2005-11-15 11:49:19 EST
(In reply to comment #9)
> That was a typo and should have been Applications/File. So rpmlint was right.
Fixed.

> So who is submitting this package now? Bastien or Simon?
I am. Is that an offer to sponsor me? :)

Comment 11 Adrian Reber 2005-11-17 13:38:49 EST
You shouldn't repeat the name of the package in the summary.

Instead of patching the Makefile you could just use install to copy the files to
the correct location without using "make install". This would make the spec a
bit easier to read because the makefile tweaking wouldn't be necessary.

The Group has still to be changed from Applications/Files to Applications/File
Comment 12 Bastien Nocera 2005-11-18 04:29:57 EST
*** Bug 172870 has been marked as a duplicate of this bug. ***
Comment 13 Simon B 2005-11-22 13:16:29 EST
Fixed. Latest version on site.
Comment 14 Adrian Reber 2005-11-24 10:47:17 EST
Please post the link to the updated SRPM. It is not hard to find, but would be
nicer if I don't have to guess.

Looks pretty good so far the only thing which should be added back to the spec
is this line "%{__sed} -i -e "s/-Wall/$RPM_OPT_FLAGS/" Makefile" with which the
RPM_OPT_FLAGS are used to build the binary.
Comment 16 Adrian Reber 2005-11-25 04:13:25 EST
* builds in mock (FC4 and development)
* rpmlint is happy
* spec looks good
* source matches upstream
* clean installation and removal
* works as expected

APPROVED

I can sponsor you. Do you already exist in the account system?
Comment 17 Simon B 2005-11-25 04:43:13 EST
Great! Thanks!

Yes, I have an account.
Comment 18 Adrian Reber 2005-12-06 14:56:18 EST
I cannot find this in the development tree. Have you not requested a build in
the devel tree? If this has been built successfully then please close this bug
according to the documentation in the wiki.
Comment 19 Simon B 2005-12-06 17:55:06 EST
Hi Adrian,
Thanks for the heads up. It's in now.
Comment 20 Christian Iseli 2006-01-09 08:24:15 EST
(In reply to comment #19)
> It's in now.

Could you then set this ticket to CLOSED / NEXTRELEASE ?

Thanks.
Comment 21 Björn "besser82" Esser 2014-03-18 08:00:37 EDT
Package Change Request
======================
Package Name: fdupes
New Branches: el5 el6 epel7
Owners: besser82 hobbes1069

Want to build on EPEL-branches, too.
Comment 22 Gwyn Ciesla 2014-03-18 08:10:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.